io.vertx.redis.client

## Enum RedisReplicas

- java.lang.Object
- - java.lang.Enum<RedisReplicas>
  - - io.vertx.redis.client.RedisReplicas

- All Implemented Interfaces:
    Serializable, Comparable<RedisReplicas>

      public enum RedisReplicas
      extends Enum<RedisReplicas>

  When should Redis replica nodes be used for queries.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` Queries are always run on REPLICA nodes (never on MASTER node).
    `NEVER` Never use REPLICA, queries are always run on a MASTER node.
    `SHARE` Queries can be randomly run on both MASTER and REPLICA nodes.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RedisReplicas` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RedisReplicas[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final RedisReplicas NEVER

      Never use REPLICA, queries are always run on a MASTER node.

    - #### SHARE

          public static final RedisReplicas SHARE

      Queries can be randomly run on both MASTER and REPLICA nodes.

    - #### ALWAYS

          public static final RedisReplicas ALWAYS

      Queries are always run on REPLICA nodes (never on MASTER node).

  - ### Method Detail

    - #### values

          public static RedisReplicas[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RedisReplicas c : RedisReplicas.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RedisReplicas valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 Eclipse. All rights reserved.